// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/IdTagInfo.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace IdTagInfo {

  /// <summary>Holder for reflection information generated from command/charger/IdTagInfo.proto</summary>
  public static partial class IdTagInfoReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/IdTagInfo.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static IdTagInfoReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ch9jb21tYW5kL2NoYXJnZXIvSWRUYWdJbmZvLnByb3RvEgtpZF90YWdfaW5m",
            "bxofZ29vZ2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byKZAgoJSWRUYWdJ",
            "bmZvEjQKC2V4cGlyeV9kYXRlGAEgASgLMhouZ29vZ2xlLnByb3RvYnVmLlRp",
            "bWVzdGFtcEgAiAEBEhoKDXBhcmVudF9pZF90YWcYAiABKAlIAYgBARI6CgZz",
            "dGF0dXMYAyABKA4yKi5pZF90YWdfaW5mby5JZFRhZ0luZm8uQXV0aG9yaXph",
            "dGlvblN0YXR1cyJcChNBdXRob3JpemF0aW9uU3RhdHVzEgwKCEFjY2VwdGVk",
            "EAASCwoHQmxvY2tlZBABEgsKB0V4cGlyZWQQAhILCgdJbnZhbGlkEAMSEAoM",
            "Q29uY3VycmVudFR4EARCDgoMX2V4cGlyeV9kYXRlQhAKDl9wYXJlbnRfaWRf",
            "dGFnQocBCiFjb20uY29kaWJseS5tb2RlbC5jb21tYW5kLmNoYXJnZXJCDklk",
            "VGFnSW5mb1Byb3RvygIhRG9tYWluTW9kZWxcUHJvdG9cQ29tbWFuZFxDaGFy",
            "Z2Vy4gItRG9tYWluTW9kZWxcUHJvdG9cQ29tbWFuZFxDaGFyZ2VyXEdQQk1l",
            "dGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::IdTagInfo.IdTagInfo), global::IdTagInfo.IdTagInfo.Parser, new[]{ "ExpiryDate", "ParentIdTag", "Status" }, new[]{ "ExpiryDate", "ParentIdTag" }, new[]{ typeof(global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class IdTagInfo : pb::IMessage<IdTagInfo>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<IdTagInfo> _parser = new pb::MessageParser<IdTagInfo>(() => new IdTagInfo());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<IdTagInfo> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::IdTagInfo.IdTagInfoReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public IdTagInfo() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public IdTagInfo(IdTagInfo other) : this() {
      expiryDate_ = other.expiryDate_ != null ? other.expiryDate_.Clone() : null;
      parentIdTag_ = other.parentIdTag_;
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public IdTagInfo Clone() {
      return new IdTagInfo(this);
    }

    /// <summary>Field number for the "expiry_date" field.</summary>
    public const int ExpiryDateFieldNumber = 1;
    private global::Google.Protobuf.WellKnownTypes.Timestamp expiryDate_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Google.Protobuf.WellKnownTypes.Timestamp ExpiryDate {
      get { return expiryDate_; }
      set {
        expiryDate_ = value;
      }
    }

    /// <summary>Field number for the "parent_id_tag" field.</summary>
    public const int ParentIdTagFieldNumber = 2;
    private string parentIdTag_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ParentIdTag {
      get { return parentIdTag_ ?? ""; }
      set {
        parentIdTag_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "parent_id_tag" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasParentIdTag {
      get { return parentIdTag_ != null; }
    }
    /// <summary>Clears the value of the "parent_id_tag" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearParentIdTag() {
      parentIdTag_ = null;
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 3;
    private global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus status_ = global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as IdTagInfo);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(IdTagInfo other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (!object.Equals(ExpiryDate, other.ExpiryDate)) return false;
      if (ParentIdTag != other.ParentIdTag) return false;
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (expiryDate_ != null) hash ^= ExpiryDate.GetHashCode();
      if (HasParentIdTag) hash ^= ParentIdTag.GetHashCode();
      if (Status != global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (expiryDate_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(ExpiryDate);
      }
      if (HasParentIdTag) {
        output.WriteRawTag(18);
        output.WriteString(ParentIdTag);
      }
      if (Status != global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus.Accepted) {
        output.WriteRawTag(24);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (expiryDate_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(ExpiryDate);
      }
      if (HasParentIdTag) {
        output.WriteRawTag(18);
        output.WriteString(ParentIdTag);
      }
      if (Status != global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus.Accepted) {
        output.WriteRawTag(24);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (expiryDate_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ExpiryDate);
      }
      if (HasParentIdTag) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ParentIdTag);
      }
      if (Status != global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(IdTagInfo other) {
      if (other == null) {
        return;
      }
      if (other.expiryDate_ != null) {
        if (expiryDate_ == null) {
          ExpiryDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
        }
        ExpiryDate.MergeFrom(other.ExpiryDate);
      }
      if (other.HasParentIdTag) {
        ParentIdTag = other.ParentIdTag;
      }
      if (other.Status != global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            if (expiryDate_ == null) {
              ExpiryDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ExpiryDate);
            break;
          }
          case 18: {
            ParentIdTag = input.ReadString();
            break;
          }
          case 24: {
            Status = (global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            if (expiryDate_ == null) {
              ExpiryDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ExpiryDate);
            break;
          }
          case 18: {
            ParentIdTag = input.ReadString();
            break;
          }
          case 24: {
            Status = (global::IdTagInfo.IdTagInfo.Types.AuthorizationStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the IdTagInfo message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum AuthorizationStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Blocked")] Blocked = 1,
        [pbr::OriginalName("Expired")] Expired = 2,
        [pbr::OriginalName("Invalid")] Invalid = 3,
        [pbr::OriginalName("ConcurrentTx")] ConcurrentTx = 4,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
